# Class VisualMap

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a visual mapping that handles the rendering or display logic for map-related data.

    public class VisualMap

Inheritance
  object
  VisualMap

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Dimension

    public int Dimension { get; set; }

#### Property Value

int

### Pieces

    public List<Piece>? Pieces { get; set; }

#### Property Value

List<Piece>

### SerieKey

    public string? SerieKey { get; set; }

#### Property Value

string

### Show

    public bool Show { get; set; }

#### Property Value

bool